<?xml version='1.0'?>

<productname desc="Mageia DVD 64">
	<nameid>Mageia</nameid>
	<nb_fork>10</nb_fork>
	<!-- you must specify on wich distrib this iso will be built -->
	<based_on>cauldron</based_on>
	<!-- -->
	<support>DVD</support>
	<arch>x86_64</arch>
	<repo desc="Where is the repositery of the distribution">
		<path>/home/bcd/build_bcd/pieces</path>
	</repo>
	<workdir desc="Where is my working dir">
		<path>/home/bcd/build_bcd</path>
	</workdir>
	<tocopy_file>tocopy_plop</tocopy_file>
	<chroot_media>Core</chroot_media>
	<chroot_media_exclude>Updates Testing</chroot_media_exclude>
	<isolinux desc="isolinux info">
		<!--<defaultpath>isolinux</defaultpath>-->
		<fullpath>/home/bcd/build_bcd/pieces/cauldron/x86_64/isolinux</fullpath>
		<!-- add hdt entry in syslinux.cfg -->
		<entry name="hdt" desc="Main media">
			<bin>/home/bcd/build_bcd/pieces/cauldron/x86_64/isolinux/hdt.c32</bin>
			<label>hdt</label>
			<kernel>hdt.c32</kernel>
			<append>modules=modules.pci</append>
		</entry>
		<!-- keep this entry to create an array ref -->
		<entry></entry>
		<tocopy name="pcimap">
			<file>/home/bcd/build_bcd/pieces/cauldron/x86_64/isolinux//modules.pcimap</file>
		</tocopy>
		<tocopy name="ids">
			<file>/home/bcd/build_bcd/pieces/cauldron/x86_64/isolinux/pci.ids</file>	
		</tocopy>
		<tocopy></tocopy>
	</isolinux>
	<installer desc="path to the Mandriva installer (stage1/stage2)">
		<defaultpath>install</defaultpath>
		<!--<fullpath></fullpath>-->
		<advertising>
			<defaultpath>advertising</defaultpath>
			<!--<fullpath></fullpath>-->
		</advertising>
	</installer>

	<!-- theme must be available to path altx/all.rdz files -->
	<theme name="mandriva-release-Free">
		<theme>mageia-theme-Default</theme>
		<bootsplash>Default</bootsplash>
		<bootsplash_path>/home/bcd/build_bcd/pieces/iso/plymouth</bootsplash_path>
		<gfxboot_path>/home/bcd/build_bcd/pieces/iso/gfxboot</gfxboot_path>
	</theme>

	<media desc="media to take into account to build the ISO">
               <!-- name of the first media wich contains basesystem and kernels -->
                <first_media>core</first_media>
		<!--                <update_prefix>Updates</update_prefix> -->
		<update_prefix>Updates</update_prefix>
		<list name="core" desc="Core Release">
			<!-- MANDATORY list of wanted packages on the iso -->
			<input name="theme">
				<file>lists/theme-free</file>
			</input>
			<input name="base">
				<file>lists/input_cat</file>
			</input>
			<input name="kernel">
				<file>lists/kernel64</file>
			</input>
			<!-- <input>
				<file>lists/input_main_lo</file>
			</input> -->
			<!-- to create an array you must keep this even if it is empty -->
			<!-- MANDATORY list of unwanted packages on the iso -->
			<exclude name="exclude">
				<file>lists/exclude</file>
			</exclude>
			<exclude name="exclude_free">
				<file>lists/exclude_free</file>
			</exclude>
			<exclude name="exclude">
				<file>lists/exclude_tofix</file>
			</exclude>
			<!-- to create an array you must keep this even if it is empty -->
			<exclude>
			</exclude>
			<!-- nosuggests options should be yes or no -->
			<nosuggests>yes</nosuggests>
			<!-- will be taken in {repo}{version}{arch}/media -->
			<mediadir>core</mediadir>
			<destmedia>core</destmedia>
			<!--
			<fullpath_mediadir>/home/plop/iso/final/t/i586/media/main</fullpath_mediadir>
			-->
			<pubkey>release/media_info/pubkey</pubkey>
			<release>yes</release>
			<updates>yes</updates>
			<backport>no</backport>
			<testing>no</testing>
		</list>
                <list name="nonfree" desc="Nonfree Release">
                        <!-- MANDATORY list of wanted packages on the iso -->
                        <input name="base">
                                <file>lists/input_cat</file>
                        </input>
                        <input>
                                <file>lists/input_nonfree</file>
                        </input>
                        <input>
                                <file>lists/kernel64</file>
                        </input>
                        <!-- to create an array you must keep this even if it is empty -->
                        <!-- MANDATORY list of unwanted packages on the iso -->
                        <exclude name="exclude">
                                <file>lists/exclude</file>
                        </exclude>
                        <exclude name="exclude">
                                <file>lists/exclude_nonfree</file>
                        </exclude>
                        <exclude name="exclude">
                                <file>lists/exclude_tofix</file>
                        </exclude>
                        <!-- to create an array you must keep this even if it is empty -->
                        <exclude>
                        </exclude>
                        <!-- nosuggests options should be yes or no -->
                        <nosuggests>yes</nosuggests>
                        <!-- will be taken in {repo}{version}{arch}/media -->
                        <mediadir>nonfree</mediadir>
                        <destmedia>nonfree</destmedia>
                        <!--
                        <fullpath_mediadir>/home/plop/iso/final/t/i586/media/main</fullpath_mediadir>
                        -->
                        <pubkey>release/media_info/pubkey</pubkey>
                        <release>yes</release>
                        <updates>no</updates>
                        <backport>no</backport>
                        <testing>no</testing>
                </list>

		<!-- keep this entry to create an array ref -->
		<list></list>
	</media>

	<mediainfo desc="All files relatives to media_info dir">
	        <version>6</version>
		<!-- set fullpath if you want to use an files in a non MDV repositery -->
		<fullpath>/home/bcd/build_bcd/pieces/cauldron/x86_64/media/media_info</fullpath>
		<mediainfo_dir>media/media_info</mediainfo_dir>
		<rpmsrate>rpmsrate</rpmsrate>
		<compssusers>compssUsers.pl</compssusers>
		<filedeps>file-deps</filedeps>
                <filter>lists/no-filter</filter>
		<urpmi_option>-a</urpmi_option>
		<askmedia desc="add for other media ?">
			<todo>yes</todo>
		</askmedia>
		<suppl desc="add an external media ?">
			<todo>yes</todo>
		</suppl>
		<xmlinfo>
			<todo>no</todo>
		</xmlinfo>
	</mediainfo>
	<iso>
		<tag>vanda</tag>
		<minor>1</minor>
		<subversion>1</subversion>
		<product>Free</product>
		<branch>Devel</branch>
		<type>basic</type>
		<!-- dual arch not yet supported -->
		<dualarch>no</dualarch>
		<!-- SIZE is not YET USED !!! -->
		<size>4000</size>
		<!-- media.cfg will be stored on genisoimage->{builddir}/{nameid}/{arch} -->
		<mediacfg>media/media_info/media.cfg</mediacfg>
		<hdlist>no</hdlist>
		<synthesis>yes</synthesis>
		<header desc="Iso header info">
			<systemid>Mageia</systemid>
			<volumeid>Mageia-6-x86_64</volumeid>
			<volumesetid>Mageia 6 - x86_64 DVD</volumesetid>
			<publisherid>Mageia</publisherid>
			<datapreparer>Mageia BCD</datapreparer>
			<applicationid>Mageia 6</applicationid>
			<copyrightid>Mageia</copyrightid>
		</header>
                <isohybrid>
                        <options>-u</options>
                </isohybrid>
		<genisoimage desc="iso generation tool">
			<options>-f -r -J -hide-rr-moved -nobak -cache-inodes -no-emul-boot -boot-load-size 4</options>
			<bootcat>isolinux/boot.cat</bootcat>
			<!-- builddir and destdir will always use the workdir -->
			<builddir>build</builddir>
			<isodir>iso</isodir>
		</genisoimage>
	</iso>
</productname>
